> ## Documentation Index
> Fetch the complete documentation index at: https://docs.kraken.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Funding Assets

> Retrieve assets available for the requested direction (deposit or withdraw).

**API Key Permissions Required:** `Funds permissions - Query`



## OpenAPI

````yaml /openapi/funding-beta.yaml get /funding/v1/assets/{direction}
openapi: 3.0.0
info:
  title: Funding REST API (Beta)
  version: 1.0.0
  description: >-
    Beta Funding e-API endpoints for deposits, withdrawals, addresses, methods,
    limits, and fees.
servers:
  - url: https://api.kraken.com
    description: Production Server
security:
  - API-Key: []
    API-Sign: []
    API-Nonce: []
  - API-Key: []
    API-Sign: []
    API-Nonce: []
    API-OTP: []
tags:
  - name: funding-beta
    x-group: Funding (Beta)
paths:
  /funding/v1/assets/{direction}:
    get:
      tags:
        - funding-beta
      summary: List Funding Assets
      description: >-
        Retrieve assets available for the requested direction (deposit or
        withdraw).


        **API Key Permissions Required:** `Funds permissions - Query`
      operationId: listFundingAssetsV1
      parameters:
        - in: path
          name: direction
          required: true
          schema:
            description: Filter by direction.
            type: string
            enum:
              - deposit
              - withdraw
          style: simple
          example: deposit
        - in: query
          name: asset_class
          schema:
            description: Filter by asset class.
            type: string
            enum:
              - currency
              - tokenized_asset
          style: form
          example: currency
        - in: query
          name: account_id
          description: Account ID
          schema:
            type: string
          x-selected-account: true
          style: form
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                description: All assets available to the user for funding.
                type: object
                properties:
                  currency:
                    description: Available assets for the currency asset class.
                    type: array
                    items:
                      type: object
                      properties:
                        name:
                          description: Asset name.
                          type: string
                          minLength: 1
                          maxLength: 16
                      required:
                        - name
                  tokenized_asset:
                    description: Available assets for the tokenized asset class.
                    type: array
                    items:
                      type: object
                      properties:
                        name:
                          description: Asset name.
                          type: string
                          minLength: 1
                          maxLength: 16
                      required:
                        - name
              example:
                currency:
                  - name: USDC
                  - name: USDT
                  - name: BTC
                  - name: ETH
                  - name: SOL
                tokenized_asset:
                  - name: TONXx
                  - name: NVDAx
                  - name: AAPLx
      security:
        - API-Key: []
          API-Sign: []
          API-Nonce: []
        - API-Key: []
          API-Sign: []
          API-Nonce: []
          API-OTP: []
components:
  securitySchemes:
    API-Key:
      type: apiKey
      description: The "API-Key" header should contain your API key.
      name: API-Key
      in: header
    API-Sign:
      type: apiKey
      description: >-
        Authenticated requests should be signed with the "API-Sign" header,
        using a signature generated with your private key, nonce, encoded
        payload, and URI path.
      name: API-Sign
      in: header
    API-Nonce:
      type: apiKey
      description: >-
        The "API-Nonce" header should contain an always-increasing 64-bit
        integer, most commonly a Unix timestamp in milliseconds. Each request
        must use a nonce greater than the nonce of the previous request signed
        with the same API key.
      name: API-Nonce
      in: header
    API-OTP:
      type: apiKey
      description: >-
        The "API-OTP" header should contain your two-factor authentication
        one-time password. Required only if 2FA is configured for the API key.
      name: API-OTP
      in: header

````